Subject: Re: Early boot problem with MPC8247 and Linux 2.6.26

From: Scott Wood <[email-masked]>
Date: Tue, 26 Aug 2008 12:24:18 -0500

Chris Skepper wrote:
> On Tue, 26 Aug 2008, Scott Wood wrote:
> 
>> On Tue, Aug 26, 2008 at 01:00:05PM +0100, Chris Skepper wrote:
>>
>>> I'm triggering an LED which is connected to port A.  Are you saying that
>>> wouldn't work once the caching is enabled?
>>
>> It's quite possible.  What other registers are in the same cache line as
>> the LED, and are any of them non-memory-like?
> 
> There are some ethernet signals, a compact flash card detect, other LEDs 
> and a push button also on port A.  Are those what you'd call 
> non-memory-like?

Would any of them object to spurious reads, and writebacks of the value 
that was read?

>> It's usually easiest to just trust that that part of the code works (in
>> my experience, that's rarely where a hang actually occurs when bringing
>> up a new board), and resume tracing after the MMU is on and you've
>> inserted a caching-inhibited BAT entry.
> 
> Where can I find out how to do that?  Since I have this board working 
> with the old ARCH=ppc, can I copy anything from there?

See setup_cpm_bat in arch/powerpc/kernel/head_32.S.

> Also, where would be a good place in the code to resume tracing?

As soon as you can set up a BAT -- though first, I would try just 
enabling the CPM debug console and see if you get anything from that.

-Scott